org.richfaces.convert.rowkey

## Class ScrollableDataTableRowKeyConverter

- java.lang.Object
- - org.richfaces.convert.rowkey.ScrollableDataTableRowKeyConverter

- All Implemented Interfaces:
    javax.faces.convert.Converter

      public class ScrollableDataTableRowKeyConverter
      extends java.lang.Object
      implements javax.faces.convert.Converter

  Converter for `ScrollableTableDataModel.SimpleRowKey`
  Author:
    Maksim Kaszynski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONVERTER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollableDataTableRowKeyConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
    `java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONVERTER_ID

          public static final java.lang.String CONVERTER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScrollableDataTableRowKeyConverter

          public ScrollableDataTableRowKeyConverter()

  - ### Method Detail

    - #### getAsObject

          public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.String value)

      Specified by:
        `getAsObject` in interface `javax.faces.convert.Converter`

    - #### getAsString

          public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.Object value)

      Specified by:
        `getAsString` in interface `javax.faces.convert.Converter`

Copyright © 2013. All Rights Reserved.